> ## Documentation Index
> Fetch the complete documentation index at: https://documentation.kotanipay.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete Settlement Beneficiary

Permanently remove a saved settlement beneficiary. Existing settlement requests that used this beneficiary are not affected.


## OpenAPI

````yaml DELETE /api/v3/integrator/settlement-config/beneficiaries/{beneficiaryId}
openapi: 3.0.0
info:
  title: KOTANI PAY API PLATFORM
  description: ''
  version: '3.0'
  contact: {}
servers:
  - url: https://sandbox-api.kotanipay.io
    description: Sandbox
security: []
tags: []
paths:
  /api/v3/integrator/settlement-config/beneficiaries/{beneficiaryId}:
    delete:
      tags:
        - INTEGRATOR
      operationId: IntegratorController_removeMySavedBeneficiary_api/v3
      parameters:
        - name: beneficiaryId
          required: true
          in: path
          schema:
            type: string
      responses:
        '200':
          description: ''
      security:
        - JWT: []
components:
  securitySchemes:
    JWT:
      scheme: bearer
      bearerFormat: JWT
      type: http

````